Summary:        Programmable DNS resolver class for offline emulation of DNS
Name:           perl-Net-DNS-Resolver-Programmable
Version:        0.009
Release:        3%{?dist}
License:        GPL-2.0-or-later OR Artistic-1.0-Perl
URL:            https://metacpan.org/dist/Net-DNS-Resolver-Programmable
Source0:        https://cpan.metacpan.org/modules/by-module/Net/Net-DNS-Resolver-Programmable-%{version}.tar.gz

BuildRequires: perl(Net::DNS::Packet) perl(Net::DNS::Resolver) perl(strict) perl(warnings)
BuildRequires: perl(ExtUtils::MakeMaker) perl(base) perl(constant) perl(Net::DNS) >= 0.69
BuildRequires: coreutils findutils make perl-generators perl-interpreter
BuildRequires: perl(Test::More)

BuildArch:      noarch

%description
Net::DNS::Resolver::Programmable is a Net::DNS::Resolver descendant class
that allows a virtual DNS to be emulated instead of querying the real DNS.
A set of static DNS records may be supplied, or arbitrary code may be
specified as a means for retrieving DNS records, or even generating them
on the fly.

%prep
%autosetup -n Net-DNS-Resolver-Programmable-%{version}

%build
perl Makefile.PL INSTALLDIRS=vendor NO_PACKLIST=1 NO_PERLLOCAL=1
%make_build

%install
%make_install
%{_fixperms} -c %{buildroot}

%check
make test

%files
%license LICENSE
%doc CHANGES README TODO
%{perl_vendorlib}/Net/
%{_mandir}/man3/Net::DNS::Resolver::Programmable.3*

%changelog
* Fri May 05 2023 cunshunxia <cunshunxia@tencent.com> - 0.009-3
- fix buildrequires error.

* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.009-2
- Rebuilt for OpenCloudOS Stream 23.05

* Fri Apr 07 2023 cunshunxia <cunshunxia@tencent.com> - 0.009-1
- initial build
